$!++
$! compile sources in the [.MODULE] subdirectory -- 27-OCT-1996 Uwe Zessin
$! The resulting .EXE is for the DCL environment.
$! Unsupported/ unneeded components are listed, but disabled via comment.
$!
$! 10-AUG-1997 ZE. -- rewrite to allow compilation of a single module
$!		 (pass via P1)
$! 29-NOV-1997 ZE. -- update for Python V1.5B1
$! 21-DEC-1997 ZE. -- remove translation gmtime->vms_gmtime
$! 27-APR-1998 ZE. -- update for Python V1.5.1
$!
$! P1 = modulename or "" (all modules including new .OLB)
$!--
$ _SRC = P1
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$ on ERROR then $ goto PROC_EXIT
$!
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEVICE    = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIRECTORY = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$!
$ set DEFAULT '_DEVICE''_DIRECTORY'	! [.VMS]
$ set DEFAULT [-.MODULES]
$!
$ if (F$GETSYI("HW_MODEL").GE.1024)
$ then
$   _ARCH = "ALPHA"
$ else
$   _ARCH = "VAX"
$ endif
$ _OBJDIR = "[-.VMS.O_''_ARCH'.MODULES]"
$ _OLBDIR = "[-.VMS.O_''_ARCH']"
$ _OLBFIL = _OLBDIR + "MODULES.OLB"
$!
$ if (_SRC .eqs. "")
$ then
$   library /create /log '_OLBFIL'
$ else
$!	   if (F$LOCATE("/",_SRC) .ne. F$LENGTH(_SRC))
$   _SRC = F$PARSE(_SRC,,,"NAME")	! extract module name
$   if (_SRC .nes. "")
$   then
$	call CC_LIBR '_SRC'
$	goto PROC_EXIT		! module compiled, done
$   endif
$ endif
$!
$ C_ = "call CC_LIBR"
$!
$!? C_ almodule     ! interface to Mark Callow's Audio Library
$   C_ arraymodule  ! Array object implementation
$   C_ audioop      ! Module to detect peak values in arrays
$   C_ binascii     ! Routines to represent binary data in ASCII and vice-versa
$!- C_ bsddbmodule  ! Berkeley DB interface
$!		    ! interface to Mark Callow's and Roger Chickering's
$!- C_ cdmodule     ! CD Audio Library (CD).
$!_ C_ cgensupport  ! Functions used by cgen output
$!- C_ clmodule     ! Cl objects
$   C_ cmathmodule  ! Complex math module
$   C_ cpickle      ! C implementation and optimization of the Python pickle module
$!- C_ cryptmodule  ! cryptmodule
$   C_ cstringio    ! A simple fast partial StringIO replacemen
$!- C_ cursesmodule ! This is a curses implementation
$!- C_ dbmmodule    ! DBM module using dictionary interface
$!- C_ dlmodule     ! dl module
$   C_ errnomodule  ! Errno module
$!- C_ fcntlmodule  ! - not available on VMS
$!- C_ flmodule     ! FL module -- interface to Mark Overmars' FORMS Library
$!- C_ fmmodule     ! Font Manager module
$!_ C_ fpectlmodule  ! Floating point exception control module
$!_ C_ fpetestmodule ! Floating point exception test module
$!- C_ gdbmmodule   ! DBM module using dictionary interface
$!--   C_ getbuildinfo ! -> VMS__GETBUILDINFO.C
$!--   C_ getpath      ! Return the initial module search path -> VMS__GETPATH.C
$!? C_ glmodule
$!- C_ grpmodule    ! UNIX group file access module
$   C_ imageop      ! imageopmodule - Various operations on pictures
$!- C_ imgfile      ! IMGFILE module - Interface to sgi libimage
$   C_ main         !
$   C_ mathmodule   ! standard C math library functions, pi and e
$   C_ md5module    ! interface to md5c.c
$   C_   md5c       ! MD5C.C - RSA Data Security, Inc., MD5 message-digest algorithm
$!                  ! This module provides an interface to an alternate
$!- C_ mpzmodule    ! Multi-Precision library, GNU MP in this case 
$   C_ newmodule    ! create new objects of various types
$!  C_ nismodule    ! NIS module implementation
$   C_ operator     ! This module exports a set of functions implemented in C...
$   C_ parsermodule
$   C_ pcremodule   ! Pcre objects
$!  C_ posixmodule  ! POSIX module implementation -> copy in [-.VMS]
$!- C_ puremodule
$!  C_ pwdmodule    ! UNIX password file access module
$   C_ pypcre       ! Perl-Compatible Regular Expressions
$   C_ python       ! Minimal main program -- everything is loaded from the library
$!- C_ readline     !This module makes GNU readline available to Python.
$   C_ regexmodule  ! Regular expression objects
$   C_   regexpr
$!!!   C_ REOPMODULE   ! Regular expression objects -- removed 1.5 -> 1.5.1
$!- C_ resource
$   C_ rgbimgmodule ! Faster reading and writing of image files
$   C_ rotormodule  ! This creates an encryption and decryption engine
$   C_ selectmodule ! Module containing unix select(2) call
$!  C_ sgimodule    ! random SGI-specific things
$   C_ signalmodule !
$   C_ socketmodule ! This module provides an interface to Berkeley socket IPC
$   C_ soundex      ! Perform soundex comparisons on strings
$!  C_ stdwinmodule !
$   C_ stropmodule  !
$   C_ structmodule ! pack values into and (out of) strings
$!  C_ sunaudiodev  ! Sad objects
$!  C_ svmodule     ! interface to the Indigo video board
$!  C_ syslogmodule !
$!- C_ tclnotify
$!  C_ termios      ! POSIX terminal I/O module implementation
$!  C_ threadmodule ! Interface to Sjoerd's portable C thread library
$   C_ timemodule
$   C_ timingmodule !
$!  C_ tkappinit    !
$!! C_ XXMODULE     ! ** template only **
$!  C_ yuvconvert   !
$!- C_ zlibmodule   ! gzip-compatible data compression
$!- C_ _localemodule ! Support for POSIX locales !! not VMS < 6.2
$!  C_ _tkinter     !
$!
$PROC_EXIT:
$ set DEFAULT '_DEFAULT'
$ exit
$! ----------------------------------------
$CC_LIBR: SUBROUTINE
$!+
$! - P1 = module name
$!-
$! -- don't put these modules into the object library
$ if (P1 .eqs. "PYTHON")
$ then
$   _OLBFIL = ""
$ endif
$!
$ @[-.VMS]DCC 'P1' '_OBJDIR' '_OLBFIL'
$!
$ ENDSUBROUTINE ! CC_LIBR: 
